Skip to main content
PUT
/
v0
/
contracts
/
{chain}
/
{address}
Update contract
curl --request PUT \
  --url https://api.formo.so/v0/contracts/{chain}/{address} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "<string>",
  "chain": 123,
  "name": "<string>",
  "abi": "<string>",
  "events": [
    {}
  ],
  "start_block": 123
}
'
{
  "isSuccess": true,
  "data": {
    "name": "<string>",
    "chain": 123,
    "address": "<string>",
    "abi": "<string>",
    "events": [
      {
        "anonymous": true,
        "inputs": [
          {}
        ],
        "name": "<string>",
        "type": "<string>"
      }
    ],
    "start_block": 123
  }
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Path Parameters

chain
string
required
address
string
required

Body

application/json
address
string
required
chain
integer
required
name
string
required
abi
string
required
events
object[]
required
Maximum array length: 10
start_block
integer

Response

200 - application/json

Contract updated

isSuccess
boolean
data
object